## certinfo 1.0.6%2Bds1

=== debian/changelog ===
certinfo (1.0.6+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 19 Feb 2022 00:51:47 -0600

certinfo (1.0.6+ds1-2) unstable; urgency=medium

  * Re-upload as source only

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 13 Feb 2022 19:55:47 -0600

certinfo (1.0.6+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1001672)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 13 Dec 2021 23:24:30 -0600

## certinfo 1.0.6+ds1

=== Makefile ===
VERSION ?= dev

.DEFAULT_GOAL := build

test:
	go fmt ./...
	go vet ./...
	go clean -testcache && go test -cover ./...
.PHONY:test

build: test
	go build -ldflags "-X main.Version=${VERSION}" -mod vendor
.PHONY:build

install: test
	go install -ldflags "-X main.Version=${VERSION}" -mod vendor
.PHONY:install

=== debian/control ===
Source: certinfo
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-icza-gox-dev,
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/certinfo
Vcs-Git: https://salsa.debian.org/go-team/packages/certinfo.git
Homepage: https://github.com/pete911/certinfo
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/pete911/certinfo

Package: certinfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Print x509 certificate info
 Similar to openssl x509 -in <file> -text command, but handles chains,
 multiple files and TCP addresses. TLS/SSL version prints as well when
 using TCP address argument.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/pete911/certinfo/tags .*/v?(\d\S*)\.tar\.gz debian
